---
apiVersion: v1
items:
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      operator.cdi.kubevirt.io/lastAppliedConfiguration: '{"kind":"Service","apiVersion":"v1","metadata":{"name":"cdi-api","namespace":"openshift-cnv","creationTimestamp":null,"labels":{"app":"containerized-data-importer","app.kubernetes.io/component":"storage","app.kubernetes.io/managed-by":"cdi-operator","cdi.kubevirt.io":"cdi-apiserver"}},"spec":{"ports":[{"protocol":"TCP","port":443,"targetPort":8443}],"selector":{"cdi.kubevirt.io":"cdi-apiserver"}},"status":{"loadBalancer":{}}}'
    creationTimestamp: "2025-10-29T11:53:24Z"
    labels:
      app: containerized-data-importer
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: cdi-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      cdi.kubevirt.io: cdi-apiserver
      operator.cdi.kubevirt.io/createVersion: 4.19.11
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:operator.cdi.kubevirt.io/lastAppliedConfiguration: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:cdi.kubevirt.io: {}
            f:operator.cdi.kubevirt.io/createVersion: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"1d55906a-5bc9-4c45-99c4-eb4c575b061f"}: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: virt-cdi-operator
      operation: Update
      time: "2025-10-29T11:53:24Z"
    name: cdi-api
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: cdi.kubevirt.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: CDI
      name: cdi-kubevirt-hyperconverged
      uid: 1d55906a-5bc9-4c45-99c4-eb4c575b061f
    resourceVersion: "2144724"
    uid: 2d5f4585-f53a-4e90-ba92-93e389f394b4
  spec:
    clusterIP: 172.30.153.250
    clusterIPs:
    - 172.30.153.250
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - port: 443
      protocol: TCP
      targetPort: 8443
    selector:
      cdi.kubevirt.io: cdi-apiserver
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      operator.cdi.kubevirt.io/lastAppliedConfiguration: '{"kind":"Service","apiVersion":"v1","metadata":{"name":"cdi-prometheus-metrics","namespace":"openshift-cnv","creationTimestamp":null,"labels":{"app":"containerized-data-importer","app.kubernetes.io/component":"storage","app.kubernetes.io/managed-by":"cdi-operator","cdi.kubevirt.io":"","prometheus.cdi.kubevirt.io":"true"}},"spec":{"ports":[{"name":"metrics","protocol":"TCP","port":8080,"targetPort":"metrics"}],"selector":{"prometheus.cdi.kubevirt.io":"true"}},"status":{"loadBalancer":{}}}'
    creationTimestamp: "2025-10-29T11:53:24Z"
    labels:
      app: containerized-data-importer
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: cdi-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      cdi.kubevirt.io: ""
      operator.cdi.kubevirt.io/createVersion: 4.19.11
      prometheus.cdi.kubevirt.io: "true"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:operator.cdi.kubevirt.io/lastAppliedConfiguration: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:cdi.kubevirt.io: {}
            f:operator.cdi.kubevirt.io/createVersion: {}
            f:prometheus.cdi.kubevirt.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"1d55906a-5bc9-4c45-99c4-eb4c575b061f"}: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":8080,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: virt-cdi-operator
      operation: Update
      time: "2025-10-29T11:53:24Z"
    name: cdi-prometheus-metrics
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: cdi.kubevirt.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: CDI
      name: cdi-kubevirt-hyperconverged
      uid: 1d55906a-5bc9-4c45-99c4-eb4c575b061f
    resourceVersion: "2144751"
    uid: 03ccf9a1-da1e-4d29-ba31-435dd9e34b00
  spec:
    clusterIP: 172.30.244.131
    clusterIPs:
    - 172.30.244.131
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: metrics
      port: 8080
      protocol: TCP
      targetPort: metrics
    selector:
      prometheus.cdi.kubevirt.io: "true"
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      operator.cdi.kubevirt.io/lastAppliedConfiguration: '{"kind":"Service","apiVersion":"v1","metadata":{"name":"cdi-uploadproxy","namespace":"openshift-cnv","creationTimestamp":null,"labels":{"app":"containerized-data-importer","app.kubernetes.io/component":"storage","app.kubernetes.io/managed-by":"cdi-operator","cdi.kubevirt.io":"cdi-uploadproxy"}},"spec":{"ports":[{"protocol":"TCP","port":443,"targetPort":8443}],"selector":{"cdi.kubevirt.io":"cdi-uploadproxy"},"type":"ClusterIP"},"status":{"loadBalancer":{}}}'
    creationTimestamp: "2025-10-29T11:53:24Z"
    labels:
      app: containerized-data-importer
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: cdi-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      cdi.kubevirt.io: cdi-uploadproxy
      operator.cdi.kubevirt.io/createVersion: 4.19.11
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:operator.cdi.kubevirt.io/lastAppliedConfiguration: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:cdi.kubevirt.io: {}
            f:operator.cdi.kubevirt.io/createVersion: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"1d55906a-5bc9-4c45-99c4-eb4c575b061f"}: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: virt-cdi-operator
      operation: Update
      time: "2025-10-29T11:53:24Z"
    name: cdi-uploadproxy
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: cdi.kubevirt.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: CDI
      name: cdi-kubevirt-hyperconverged
      uid: 1d55906a-5bc9-4c45-99c4-eb4c575b061f
    resourceVersion: "2144754"
    uid: 581dfb0c-b8ce-469a-b6bf-0084b9a4cbe4
  spec:
    clusterIP: 172.30.43.238
    clusterIPs:
    - 172.30.43.238
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - port: 443
      protocol: TCP
      targetPort: 8443
    selector:
      cdi.kubevirt.io: cdi-uploadproxy
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    creationTimestamp: "2025-10-29T11:53:23Z"
    labels:
      app.kubernetes.io/component: network
      app.kubernetes.io/managed-by: cnao-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      networkaddonsoperator.network.kubevirt.io/version: sha256_9c848662be8fc30b48609104ea6851b09b38bd725f5aa2d0b889d556
      prometheus.cnao.io: "true"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:networkaddonsoperator.network.kubevirt.io/version: {}
            f:prometheus.cnao.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"e030585c-d3f1-455b-9c2a-ca3282d18255"}: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":8443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: cluster-network-addons-operator
      operation: Update
      time: "2025-10-29T11:53:23Z"
    name: cluster-network-addons-operator-prometheus-metrics
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: networkaddonsoperator.network.kubevirt.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: NetworkAddonsConfig
      name: cluster
      uid: e030585c-d3f1-455b-9c2a-ca3282d18255
    resourceVersion: "2144598"
    uid: 741ec8eb-c263-4c2b-9c34-788b134812ee
  spec:
    clusterIP: 172.30.250.153
    clusterIPs:
    - 172.30.250.153
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: metrics
      port: 8443
      protocol: TCP
      targetPort: metrics
    selector:
      prometheus.cnao.io: "true"
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    creationTimestamp: "2025-10-29T11:52:43Z"
    labels:
      olm.managed: "true"
      operators.coreos.com/kubevirt-hyperconverged.openshift-cnv: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            f:olm.managed: {}
          f:ownerReferences:
            k:{"uid":"4fb490ef-65ea-440e-8d88-890a5bc2db74"}: {}
        f:spec:
          f:ports:
            k:{"port":4343,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:targetPort: {}
          f:selector: {}
      manager: olm.install
      operation: Apply
      time: "2025-10-29T11:52:43Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            f:operators.coreos.com/kubevirt-hyperconverged.openshift-cnv: {}
      manager: olm
      operation: Update
      time: "2025-10-29T11:52:43Z"
    name: hco-webhook-service
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: operators.coreos.com/v1alpha1
      blockOwnerDeletion: false
      controller: false
      kind: ClusterServiceVersion
      name: kubevirt-hyperconverged-operator.v4.19.11
      uid: 4fb490ef-65ea-440e-8d88-890a5bc2db74
    resourceVersion: "2143094"
    uid: bd0e8e4c-7da9-4186-a44f-81265b51db17
  spec:
    clusterIP: 172.30.217.44
    clusterIPs:
    - 172.30.217.44
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: "4343"
      port: 4343
      protocol: TCP
      targetPort: 4343
    selector:
      name: hyperconverged-cluster-webhook
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    creationTimestamp: "2025-10-29T11:52:43Z"
    labels:
      olm.managed: "true"
      operators.coreos.com/kubevirt-hyperconverged.openshift-cnv: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            f:olm.managed: {}
          f:ownerReferences:
            k:{"uid":"4fb490ef-65ea-440e-8d88-890a5bc2db74"}: {}
        f:spec:
          f:ports:
            k:{"port":9443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:targetPort: {}
          f:selector: {}
      manager: olm.install
      operation: Apply
      time: "2025-10-29T11:52:43Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            f:operators.coreos.com/kubevirt-hyperconverged.openshift-cnv: {}
      manager: olm
      operation: Update
      time: "2025-10-29T11:52:43Z"
    name: hostpath-provisioner-operator-service
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: operators.coreos.com/v1alpha1
      blockOwnerDeletion: false
      controller: false
      kind: ClusterServiceVersion
      name: kubevirt-hyperconverged-operator.v4.19.11
      uid: 4fb490ef-65ea-440e-8d88-890a5bc2db74
    resourceVersion: "2143118"
    uid: 1aca4c6d-c6e3-464d-99a3-57b182a20072
  spec:
    clusterIP: 172.30.225.15
    clusterIPs:
    - 172.30.225.15
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: "9443"
      port: 9443
      protocol: TCP
      targetPort: 9443
    selector:
      name: hostpath-provisioner-operator
      operator.hostpath-provisioner.kubevirt.io: ""
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      hostpathprovisioner.kubevirt.io/lastAppliedConfiguration: '{"metadata":{"name":"hpp-prometheus-metrics","namespace":"openshift-cnv","creationTimestamp":null,"labels":{"app.kubernetes.io/component":"storage","app.kubernetes.io/managed-by":"hostpath-provisioner-operator","app.kubernetes.io/part-of":"hyperconverged-cluster","app.kubernetes.io/version":"4.19.11","k8s-app":"hostpath-provisioner","prometheus.hostpathprovisioner.kubevirt.io":"true"}},"spec":{"ports":[{"name":"metrics","protocol":"TCP","port":8080,"targetPort":"metrics"}],"selector":{"prometheus.hostpathprovisioner.kubevirt.io":"true"}},"status":{"loadBalancer":{}}}'
    creationTimestamp: "2025-10-29T11:56:00Z"
    labels:
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: hostpath-provisioner-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      k8s-app: hostpath-provisioner
      prometheus.hostpathprovisioner.kubevirt.io: "true"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:hostpathprovisioner.kubevirt.io/lastAppliedConfiguration: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:k8s-app: {}
            f:prometheus.hostpathprovisioner.kubevirt.io: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":8080,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: hostpath-provisioner-operator
      operation: Update
      time: "2025-10-29T11:56:00Z"
    name: hpp-prometheus-metrics
    namespace: openshift-cnv
    resourceVersion: "2148658"
    uid: 0877759a-f871-4e38-9c02-215e529023ea
  spec:
    clusterIP: 172.30.222.245
    clusterIPs:
    - 172.30.222.245
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: metrics
      port: 8080
      protocol: TCP
      targetPort: metrics
    selector:
      prometheus.hostpathprovisioner.kubevirt.io: "true"
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    creationTimestamp: "2025-10-29T11:53:22Z"
    labels:
      app: kubevirt-hyperconverged
      app.kubernetes.io/component: compute
      app.kubernetes.io/managed-by: hco-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"12dfe4cf-1069-4a2e-ad0e-e248d00645e0"}: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":8080,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: hyperconverged-cluster-operator
      operation: Update
      time: "2025-10-29T11:53:22Z"
    name: hyperconverged-cluster-cli-download
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: hco.kubevirt.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: HyperConverged
      name: kubevirt-hyperconverged
      uid: 12dfe4cf-1069-4a2e-ad0e-e248d00645e0
    resourceVersion: "2144390"
    uid: a8f6aece-9a92-414c-aa7b-ed0122d05a8a
  spec:
    clusterIP: 172.30.247.15
    clusterIPs:
    - 172.30.247.15
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: "8080"
      port: 8080
      protocol: TCP
      targetPort: 8080
    selector:
      name: hyperconverged-cluster-cli-download
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    creationTimestamp: "2025-10-29T11:52:47Z"
    labels:
      app: hyperconverged-cluster-webhook
      app.kubernetes.io/component: monitoring
      app.kubernetes.io/managed-by: hco-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"56bab81d-cd11-4c8c-84f6-d829203949eb"}: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":8443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: hyperconverged-cluster-webhook
      operation: Update
      time: "2025-10-29T11:52:47Z"
    name: hyperconverged-cluster-webhook-operator-metrics
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: false
      controller: false
      kind: Deployment
      name: hco-webhook
      uid: 56bab81d-cd11-4c8c-84f6-d829203949eb
    resourceVersion: "2143338"
    uid: 3d534369-fbff-45d6-8c7b-388626a21263
  spec:
    clusterIP: 172.30.120.85
    clusterIPs:
    - 172.30.120.85
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: http-metrics
      port: 8443
      protocol: TCP
      targetPort: 8443
    selector:
      name: hyperconverged-cluster-webhook
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    creationTimestamp: "2025-10-29T11:53:22Z"
    labels:
      app.kubernetes.io/component: network
      app.kubernetes.io/managed-by: cnao-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      networkaddonsoperator.network.kubevirt.io/version: sha256_9c848662be8fc30b48609104ea6851b09b38bd725f5aa2d0b889d556
      prometheus.cnao.io: "true"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:networkaddonsoperator.network.kubevirt.io/version: {}
            f:prometheus.cnao.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"e030585c-d3f1-455b-9c2a-ca3282d18255"}: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:publishNotReadyAddresses: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: cluster-network-addons-operator
      operation: Update
      time: "2025-10-29T11:53:22Z"
    name: kubemacpool-service
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: networkaddonsoperator.network.kubevirt.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: NetworkAddonsConfig
      name: cluster
      uid: e030585c-d3f1-455b-9c2a-ca3282d18255
    resourceVersion: "2144501"
    uid: f61296c8-4104-49cf-814a-ff582742293c
  spec:
    clusterIP: 172.30.165.252
    clusterIPs:
    - 172.30.165.252
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - port: 443
      protocol: TCP
      targetPort: 8000
    publishNotReadyAddresses: true
    selector:
      control-plane: mac-controller-manager
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      service.alpha.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1761564657
      service.beta.openshift.io/serving-cert-secret-name: console-proxy-serving-cert
      service.beta.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1761564657
    creationTimestamp: "2025-10-29T11:53:22Z"
    labels:
      app: kubevirt-hyperconverged
      app.kubernetes.io/component: kubevirt-apiserver-proxy
      app.kubernetes.io/managed-by: hco-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:service.beta.openshift.io/serving-cert-secret-name: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"12dfe4cf-1069-4a2e-ad0e-e248d00645e0"}: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":8080,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: hyperconverged-cluster-operator
      operation: Update
      time: "2025-10-29T11:53:22Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:service.alpha.openshift.io/serving-cert-signed-by: {}
            f:service.beta.openshift.io/serving-cert-signed-by: {}
      manager: service-ca-operator
      operation: Update
      time: "2025-10-29T11:53:22Z"
    name: kubevirt-apiserver-proxy-service
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: hco.kubevirt.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: HyperConverged
      name: kubevirt-hyperconverged
      uid: 12dfe4cf-1069-4a2e-ad0e-e248d00645e0
    resourceVersion: "2144547"
    uid: 4adfc1d1-9782-4282-af21-df3f2c799fdf
  spec:
    clusterIP: 172.30.177.212
    clusterIPs:
    - 172.30.177.212
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: kubevirt-apiserver-proxy-port
      port: 8080
      protocol: TCP
      targetPort: 8080
    selector:
      app.kubernetes.io/component: kubevirt-apiserver-proxy
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      service.alpha.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1761564657
      service.beta.openshift.io/serving-cert-secret-name: plugin-serving-cert
      service.beta.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1761564657
    creationTimestamp: "2025-10-29T11:53:22Z"
    labels:
      app: kubevirt-hyperconverged
      app.kubernetes.io/component: kubevirt-console-plugin
      app.kubernetes.io/managed-by: hco-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:service.beta.openshift.io/serving-cert-secret-name: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"12dfe4cf-1069-4a2e-ad0e-e248d00645e0"}: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":9443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: hyperconverged-cluster-operator
      operation: Update
      time: "2025-10-29T11:53:22Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:service.alpha.openshift.io/serving-cert-signed-by: {}
            f:service.beta.openshift.io/serving-cert-signed-by: {}
      manager: service-ca-operator
      operation: Update
      time: "2025-10-29T11:53:22Z"
    name: kubevirt-console-plugin-service
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: hco.kubevirt.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: HyperConverged
      name: kubevirt-hyperconverged
      uid: 12dfe4cf-1069-4a2e-ad0e-e248d00645e0
    resourceVersion: "2144534"
    uid: 266dd95c-e119-4c77-ad51-1a9294676bcc
  spec:
    clusterIP: 172.30.65.164
    clusterIPs:
    - 172.30.65.164
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: kubevirt-console-plugin-port
      port: 9443
      protocol: TCP
      targetPort: 9443
    selector:
      app.kubernetes.io/component: kubevirt-console-plugin
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    creationTimestamp: "2025-10-29T11:52:47Z"
    labels:
      app: kubevirt-hyperconverged
      app.kubernetes.io/component: monitoring
      app.kubernetes.io/managed-by: hco-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"dbceb915-8326-4fe5-abfa-39d66ac9f16e"}: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":8443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: hyperconverged-cluster-operator
      operation: Update
      time: "2025-10-29T11:52:47Z"
    name: kubevirt-hyperconverged-operator-metrics
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: false
      controller: false
      kind: Deployment
      name: hco-operator
      uid: dbceb915-8326-4fe5-abfa-39d66ac9f16e
    resourceVersion: "2143358"
    uid: 2757744e-bacf-4b96-9c03-85d41109639b
  spec:
    clusterIP: 172.30.140.237
    clusterIPs:
    - 172.30.140.237
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: http-metrics
      port: 8443
      protocol: TCP
      targetPort: 8443
    selector:
      name: hyperconverged-cluster-operator
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      service.alpha.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1761564657
      service.beta.openshift.io/serving-cert-secret-name: kubevirt-ipam-controller-webhook-service
      service.beta.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1761564657
    creationTimestamp: "2025-10-29T11:53:23Z"
    labels:
      app: ipam-virt-workloads
      app.kubernetes.io/component: network
      app.kubernetes.io/managed-by: cnao-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      networkaddonsoperator.network.kubevirt.io/version: sha256_9c848662be8fc30b48609104ea6851b09b38bd725f5aa2d0b889d556
      prometheus.cnao.io: "true"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:service.beta.openshift.io/serving-cert-secret-name: {}
          f:labels:
            .: {}
            f:app: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:networkaddonsoperator.network.kubevirt.io/version: {}
            f:prometheus.cnao.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"e030585c-d3f1-455b-9c2a-ca3282d18255"}: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: cluster-network-addons-operator
      operation: Update
      time: "2025-10-29T11:53:23Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:service.alpha.openshift.io/serving-cert-signed-by: {}
            f:service.beta.openshift.io/serving-cert-signed-by: {}
      manager: service-ca-operator
      operation: Update
      time: "2025-10-29T11:53:23Z"
    name: kubevirt-ipam-controller-webhook-service
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: networkaddonsoperator.network.kubevirt.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: NetworkAddonsConfig
      name: cluster
      uid: e030585c-d3f1-455b-9c2a-ca3282d18255
    resourceVersion: "2144670"
    uid: d042f522-d4cf-4faf-85b7-e326cdb7ebc4
  spec:
    clusterIP: 172.30.34.171
    clusterIPs:
    - 172.30.34.171
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - port: 443
      protocol: TCP
      targetPort: 9443
    selector:
      app: ipam-virt-workloads
      control-plane: manager
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      kubevirt.io/customizer-identifier: bf21a9e8fbc5a3846fb05b4fa0859e0917b2202f
      kubevirt.io/generation: "2"
      kubevirt.io/install-strategy-identifier: 2dc5f715e9a54162bc06e47f8e4f741a60504588
      kubevirt.io/install-strategy-registry: ""
      kubevirt.io/install-strategy-version: sha256:f3434d66f6d0d99c98a9c7428ed9a85c5c83bb9c1caeb1bc3617c37b2ad2ee81
    creationTimestamp: "2025-10-29T11:53:49Z"
    labels:
      app.kubernetes.io/component: compute
      app.kubernetes.io/managed-by: virt-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      kubevirt.io: ""
      prometheus.kubevirt.io: "true"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubevirt.io/customizer-identifier: {}
            f:kubevirt.io/generation: {}
            f:kubevirt.io/install-strategy-identifier: {}
            f:kubevirt.io/install-strategy-registry: {}
            f:kubevirt.io/install-strategy-version: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:kubevirt.io: {}
            f:prometheus.kubevirt.io: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: virt-operator
      operation: Update
      time: "2025-10-29T11:53:49Z"
    name: kubevirt-operator-webhook
    namespace: openshift-cnv
    resourceVersion: "2145576"
    uid: 70b48076-36d4-4259-8339-1ba9af1cfc95
  spec:
    clusterIP: 172.30.107.229
    clusterIPs:
    - 172.30.107.229
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: webhooks
      port: 443
      protocol: TCP
      targetPort: webhooks
    selector:
      kubevirt.io: virt-operator
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      kubevirt.io/customizer-identifier: bf21a9e8fbc5a3846fb05b4fa0859e0917b2202f
      kubevirt.io/generation: "2"
      kubevirt.io/install-strategy-identifier: 2dc5f715e9a54162bc06e47f8e4f741a60504588
      kubevirt.io/install-strategy-registry: ""
      kubevirt.io/install-strategy-version: sha256:f3434d66f6d0d99c98a9c7428ed9a85c5c83bb9c1caeb1bc3617c37b2ad2ee81
    creationTimestamp: "2025-10-29T11:53:49Z"
    labels:
      app.kubernetes.io/component: compute
      app.kubernetes.io/managed-by: virt-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      kubevirt.io: ""
      prometheus.kubevirt.io: "true"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubevirt.io/customizer-identifier: {}
            f:kubevirt.io/generation: {}
            f:kubevirt.io/install-strategy-identifier: {}
            f:kubevirt.io/install-strategy-registry: {}
            f:kubevirt.io/install-strategy-version: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:kubevirt.io: {}
            f:prometheus.kubevirt.io: {}
        f:spec:
          f:clusterIP: {}
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: virt-operator
      operation: Update
      time: "2025-10-29T11:53:49Z"
    name: kubevirt-prometheus-metrics
    namespace: openshift-cnv
    resourceVersion: "2145567"
    uid: d27e2095-ea27-4223-b6b1-f50d32e23639
  spec:
    clusterIP: None
    clusterIPs:
    - None
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: metrics
      port: 443
      protocol: TCP
      targetPort: metrics
    selector:
      prometheus.kubevirt.io: "true"
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    creationTimestamp: "2025-10-29T11:52:49Z"
    labels:
      app.kubernetes.io/component: service-controller
      app.kubernetes.io/managed-by: ssp-operator-services
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      prometheus.ssp.kubevirt.io: "true"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:prometheus.ssp.kubevirt.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"fcb06cc0-7ab7-4ab0-9ad7-0e1f151a2da2"}: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: manager
      operation: Update
      time: "2025-10-29T11:52:49Z"
    name: ssp-operator-metrics
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: apps/v1
      kind: Deployment
      name: ssp-operator
      uid: fcb06cc0-7ab7-4ab0-9ad7-0e1f151a2da2
    resourceVersion: "2143551"
    uid: f997db7f-2c2f-4f9d-b1f8-4e5ed313645b
  spec:
    clusterIP: 172.30.100.99
    clusterIPs:
    - 172.30.100.99
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: metrics
      port: 443
      protocol: TCP
      targetPort: metrics
    selector:
      name: ssp-operator
      prometheus.ssp.kubevirt.io: "true"
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    creationTimestamp: "2025-10-29T11:52:43Z"
    labels:
      olm.managed: "true"
      operators.coreos.com/kubevirt-hyperconverged.openshift-cnv: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            f:olm.managed: {}
          f:ownerReferences:
            k:{"uid":"4fb490ef-65ea-440e-8d88-890a5bc2db74"}: {}
        f:spec:
          f:ports:
            k:{"port":9443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:targetPort: {}
          f:selector: {}
      manager: olm.install
      operation: Apply
      time: "2025-10-29T11:52:43Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            f:operators.coreos.com/kubevirt-hyperconverged.openshift-cnv: {}
      manager: olm
      operation: Update
      time: "2025-10-29T11:52:43Z"
    name: ssp-operator-service
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: operators.coreos.com/v1alpha1
      blockOwnerDeletion: false
      controller: false
      kind: ClusterServiceVersion
      name: kubevirt-hyperconverged-operator.v4.19.11
      uid: 4fb490ef-65ea-440e-8d88-890a5bc2db74
    resourceVersion: "2143098"
    uid: d5388ebf-dc00-4d8f-992d-99df0c643c8b
  spec:
    clusterIP: 172.30.124.32
    clusterIPs:
    - 172.30.124.32
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: "9443"
      port: 9443
      protocol: TCP
      targetPort: 9443
    selector:
      control-plane: ssp-operator
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    creationTimestamp: "2025-10-29T11:54:05Z"
    labels:
      app.kubernetes.io/component: templating
      app.kubernetes.io/managed-by: ssp-operator
      app.kubernetes.io/name: template-validator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      prometheus.ssp.kubevirt.io: "true"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/name: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:prometheus.ssp.kubevirt.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"2730307e-96c7-4aea-a509-2ac5f5bfc88d"}: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: manager
      operation: Update
      time: "2025-10-29T11:54:05Z"
    name: template-validator-metrics
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: ssp.kubevirt.io/v1beta2
      blockOwnerDeletion: true
      controller: true
      kind: SSP
      name: ssp-kubevirt-hyperconverged
      uid: 2730307e-96c7-4aea-a509-2ac5f5bfc88d
    resourceVersion: "2146207"
    uid: 690c11e2-ad49-44ff-a605-2ed98a077136
  spec:
    clusterIP: 172.30.212.135
    clusterIPs:
    - 172.30.212.135
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: metrics
      port: 443
      protocol: TCP
      targetPort: metrics
    selector:
      kubevirt.io: virt-template-validator
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      kubevirt.io/customizer-identifier: bf21a9e8fbc5a3846fb05b4fa0859e0917b2202f
      kubevirt.io/generation: "2"
      kubevirt.io/install-strategy-identifier: 2dc5f715e9a54162bc06e47f8e4f741a60504588
      kubevirt.io/install-strategy-registry: ""
      kubevirt.io/install-strategy-version: sha256:f3434d66f6d0d99c98a9c7428ed9a85c5c83bb9c1caeb1bc3617c37b2ad2ee81
    creationTimestamp: "2025-10-29T11:53:49Z"
    labels:
      app.kubernetes.io/component: compute
      app.kubernetes.io/managed-by: virt-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      kubevirt.io: virt-api
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubevirt.io/customizer-identifier: {}
            f:kubevirt.io/generation: {}
            f:kubevirt.io/install-strategy-identifier: {}
            f:kubevirt.io/install-strategy-registry: {}
            f:kubevirt.io/install-strategy-version: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:kubevirt.io: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: virt-operator
      operation: Update
      time: "2025-10-29T11:53:49Z"
    name: virt-api
    namespace: openshift-cnv
    resourceVersion: "2145572"
    uid: 3ff05e65-ac75-4b68-ac4f-890b8fd0e21c
  spec:
    clusterIP: 172.30.34.125
    clusterIPs:
    - 172.30.34.125
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - port: 443
      protocol: TCP
      targetPort: 8443
    selector:
      kubevirt.io: virt-api
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      kubevirt.io/customizer-identifier: bf21a9e8fbc5a3846fb05b4fa0859e0917b2202f
      kubevirt.io/generation: "2"
      kubevirt.io/install-strategy-identifier: 2dc5f715e9a54162bc06e47f8e4f741a60504588
      kubevirt.io/install-strategy-registry: ""
      kubevirt.io/install-strategy-version: sha256:f3434d66f6d0d99c98a9c7428ed9a85c5c83bb9c1caeb1bc3617c37b2ad2ee81
    creationTimestamp: "2025-10-29T11:53:49Z"
    labels:
      app.kubernetes.io/component: compute
      app.kubernetes.io/managed-by: virt-operator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      kubevirt.io: virt-exportproxy
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubevirt.io/customizer-identifier: {}
            f:kubevirt.io/generation: {}
            f:kubevirt.io/install-strategy-identifier: {}
            f:kubevirt.io/install-strategy-registry: {}
            f:kubevirt.io/install-strategy-version: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:kubevirt.io: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: virt-operator
      operation: Update
      time: "2025-10-29T11:53:49Z"
    name: virt-exportproxy
    namespace: openshift-cnv
    resourceVersion: "2145580"
    uid: c8730ef8-cac8-4399-b28e-01537d227887
  spec:
    clusterIP: 172.30.135.175
    clusterIPs:
    - 172.30.135.175
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - port: 443
      protocol: TCP
      targetPort: 8443
    selector:
      kubevirt.io: virt-exportproxy
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      service.alpha.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1761564657
      service.beta.openshift.io/serving-cert-secret-name: virt-template-validator-certs
      service.beta.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1761564657
    creationTimestamp: "2025-10-29T11:54:05Z"
    labels:
      app.kubernetes.io/component: templating
      app.kubernetes.io/managed-by: ssp-operator
      app.kubernetes.io/name: template-validator
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.19.11
      kubevirt.io: virt-template-validator
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:service.beta.openshift.io/serving-cert-secret-name: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/name: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:kubevirt.io: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"2730307e-96c7-4aea-a509-2ac5f5bfc88d"}: {}
        f:spec:
          f:internalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: manager
      operation: Update
      time: "2025-10-29T11:54:05Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:service.alpha.openshift.io/serving-cert-signed-by: {}
            f:service.beta.openshift.io/serving-cert-signed-by: {}
      manager: service-ca-operator
      operation: Update
      time: "2025-10-29T11:54:05Z"
    name: virt-template-validator
    namespace: openshift-cnv
    ownerReferences:
    - apiVersion: ssp.kubevirt.io/v1beta2
      blockOwnerDeletion: true
      controller: true
      kind: SSP
      name: ssp-kubevirt-hyperconverged
      uid: 2730307e-96c7-4aea-a509-2ac5f5bfc88d
    resourceVersion: "2146265"
    uid: 5c636d4c-63a3-49c2-9519-c772eb61ffbd
  spec:
    clusterIP: 172.30.174.169
    clusterIPs:
    - 172.30.174.169
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: webhook
      port: 443
      protocol: TCP
      targetPort: 8443
    selector:
      kubevirt.io: virt-template-validator
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
kind: ServiceList
metadata:
  resourceVersion: "2220031"
